<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>s_l_bigint</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="percents_j_bigint.html">&lt;&lt; s_j_bigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percents_m_bigint.html">s_m_bigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a> &gt; s_l_bigint</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">s_l_bigint</h1>
    <p class="refpurpose">overloading compatibility binary operator \ (left divide) for double/bigint</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">y,q:</span>
            <dd><p class="para">bigint</p></dd></dt>
        <dt><span class="term">x:</span>
            <dd><p class="para">double</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">double/bigint &#0034;left divide&#0034;</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">y</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">98765432</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabnumber">12345678</span>
<span class="scilabid">q</span><span class="scilaboperator">=</span><span class="scilabid">x</span><span class="scilaboperator">\</span><span class="scilabid">y</span>  <span class="scilabcomment">//  bigint division</span>
<span class="scilabnumber">98765432</span><span class="scilaboperator">/</span><span class="scilabnumber">12345678</span>
<span class="scilabid">r</span><span class="scilaboperator">=</span><span class="scilabid">y</span><span class="scilaboperator">-</span><span class="scilabid">q</span><span class="scilaboperator">*</span><span class="scilabid">x</span>
<a class="scilabmacro" href="scilab://pmodulo">pmodulo</a><span class="scilabopenclose">(</span><span class="scilabnumber">98765432</span><span class="scilabdefault">,</span><span class="scilabnumber">12345678</span><span class="scilabopenclose">)</span> <span class="scilabcomment">//  division with doubles</span>
<span class="scilabid">y</span><span class="scilaboperator">==</span> <span class="scilabid">q</span><span class="scilaboperator">*</span><span class="scilabid">x</span><span class="scilaboperator">+</span><span class="scilabid">r</span>
<span class="scilabid">r</span><span class="scilaboperator">&#0060;</span><a class="scilabcommand" href="scilab://abs">abs</a><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="mbigint.html" class="link">mbigint</a></li>
   <li class="member"><a href="bigint_l_bigint.html" class="link">bigint_l_bigint</a></li>
   <li class="member"><a href="scilab://mbigint_l,bigint" class="link">mbigint_l,bigint</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="percents_j_bigint.html">&lt;&lt; s_j_bigint</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percents_m_bigint.html">s_m_bigint &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
